package com.migao.config.listener;


import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.migao.entity.po.Dictionary;
import com.migao.entity.po.ProjectStage;
import com.migao.entity.po.Role;
import com.migao.mapper.DictionaryMapper;
import com.migao.mapper.ProjectStageMapper;
import com.migao.mapper.RoleMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationListener;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.event.ContextRefreshedEvent;

import javax.annotation.Resource;
import java.util.List;


@Configuration
@Slf4j
public class InitializeListener implements ApplicationListener<ContextRefreshedEvent> {


    @Resource
    private RoleMapper roleMapper;
    @Resource
    private DictionaryMapper dictionaryMapper;
    @Resource
    private ProjectStageMapper projectStageMapper;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent contextRefreshedEvent) {
        //默认角色配置
        List<Role> roles = roleMapper.selectList(Wrappers.emptyWrapper());
        if (roles.size()<=0){
            roleMapper.insertAll();
        }

        //默认分类字典配置
        List<Dictionary> dictionaryList = dictionaryMapper.selectList(Wrappers.emptyWrapper());
        if (dictionaryList.size()<=0){
            dictionaryMapper.insertAll();
        }
        //默认项目阶段配置
        List<ProjectStage> projectStageList = projectStageMapper.selectList(Wrappers.emptyWrapper());
        if (projectStageList.size()<=0){
            projectStageMapper.insertAll();
        }

    }
}
