package com.migao.config.properties;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author mwh
 * description    项目配置
 * createDate     2019/4/11 10:26
 * updateRemark
 * version        1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Component
@ConfigurationProperties(prefix = "com.migao.project")
public class SystemProperties {

    /**
     * 文件下载前缀
     */
    public String downloadPrefix;
    /**
     * 文件存储路径 注意最后的斜杠
     */
    public String fileStoreDir;
    /**
     * 解压文件存储文件夹名 注意最后的斜杠
     */
    public String fileZipDir;
    /**
     * 文解压件存储路径 注意最后的斜杠
     */
    public String fileZipPath;
    /**
     * 文件临时文件夹
     */
    public String fileTempDir;
    /**
     * 文件临时文件夹
     */
    public String fileTempPath;
    /**
     * 系统部署根路径
     */
    public String applicationRootPath;
    /**
     * 文件存储绝对路径
     */
    public String fileStoreDirPath;
    /**
     * 负载服务器配置
     */
    private List<ServerInfo> serverInfo = new ArrayList<>();

}
