package com.migao.config.response;



import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.function.Function;
import java.util.stream.Collectors;

/**
 * @author dingsong
 */
public class ResponseBuilderOne<T> {
    /**
     * 构建分页
     *
     * @param page
     * @param function
     * @param <T>
     * @param <R>
     * @return
     */
    public static <T, R> ResponseBean<PageBeanOne<R>> ok(Page<T> page, Function<? super T, ? extends R> function) {
        return ResponseBean.<PageBeanOne<R>>builder().data(buildPageBean(page, function)).status(ResponseEnum.OK.status).message(ResponseEnum.OK.message).build();
    }

    /**
     * 构建分页
     *
     * @param page
     * @param function
     * @param <T>
     * @param <R>
     * @return
     */
    public static <T, R> PageBeanOne<R> buildPageBean(Page<T> page, Function<? super T, ? extends R> function) {
        return PageBeanOne
                .<R>builder()
                .row(
                        page.getRecords().stream().map(function).collect(Collectors.toList())
                )
                .total(page.getTotal())
                .page(page.getPages())
                .build();
    }
}
