package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.DepartmentQueryRes;
import com.migao.service.DepartmentService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "009.部门设置")
@RestController
@RequestMapping("/department")
public class DepartmentController {

    @Resource
    private DepartmentService departmentService;

    @ApiOperationSupport(order = 2)
    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody DepartmentInsertReq departmentInsertReq
    ) {
        return departmentService.insert(departmentInsertReq);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return departmentService.deleteById(id);
    }

    @ApiOperationSupport(order = 5)
    @ApiOperation("根基id查询")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return departmentService.findById(id);
    }

    @ApiOperationSupport(order = 6)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return departmentService.deleteBatch(ids);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody DepartmentUpdateReq departmentUpdateReq
    ) {
        return departmentService.update(departmentUpdateReq);
    }

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<DepartmentQueryRes>> pageQuery(
            @RequestBody DepartmentPageQueryReq departmentPageQueryReq
    ) {
        return departmentService.pageQuery(departmentPageQueryReq);
    }


}
