package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.DictionaryQueryRes;
import com.migao.service.DictionaryService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "009.字典管理")
@RestController
@RequestMapping("/dictionary")
public class DictionaryController {

    @Resource
    private DictionaryService dictionaryService;

    @ApiOperationSupport(order = 2)
    @ApiOperation("增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody DictionaryInsertReq dictionaryInsertReq
    ) {
        return dictionaryService.insert(dictionaryInsertReq);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("删")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return dictionaryService.deleteById(id);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return dictionaryService.deleteBatch(ids);
    }

    @ApiOperationSupport(order = 5)
    @ApiOperation("改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody DictionaryUpdateReq dictionaryUpdateReq
    ) {
        return dictionaryService.update(dictionaryUpdateReq);
    }

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<DictionaryQueryRes>> pageQuery(
            @RequestBody DictionaryPageQueryReq dictionaryPageQueryReq
    ) {
        return dictionaryService.pageQuery(dictionaryPageQueryReq);
    }
    @ApiOperationSupport(order = 6)
    @ApiOperation("根据id查询")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return dictionaryService.findById(id);
    }

}
