package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.ProjecmemberQueryRes;
import com.migao.service.ProjecmemberService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "006.项目成员")
@RestController
@RequestMapping("/projectMember")
public class ProjectMemberController {

    @Resource
    private ProjecmemberService projecmemberService;

    @ApiOperationSupport(order = 2)
    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjecmemberInsertReq projecmemberInsertReq
    ) {
        return projecmemberService.insert(projecmemberInsertReq);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projecmemberService.deleteById(id);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projecmemberService.deleteBatch(ids);
    }

    @ApiOperationSupport(order = 5)
    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjecmemberUpdateReq projecmemberUpdateReq
    ) {
        return projecmemberService.update(projecmemberUpdateReq);
    }

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjecmemberQueryRes>> pageQuery(
            @RequestBody ProjecmemberPageQueryReq projecmemberPageQueryReq
    ) {
        return projecmemberService.pageQuery(projecmemberPageQueryReq);
    }


    @ApiOperationSupport(order = 6)
    @ApiOperation("根据id查询")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return projecmemberService.findById(id);
    }

}
