package com.migao.controller;

import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.PurchasingApprovalPageQueryReq;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.service.PurchasingApprovalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "005.采购审批")
@RestController
@RequestMapping("/purchasingApproval")
public class PurchasingApprovalController {
    @Resource
    private PurchasingApprovalService purchasingApprovalService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询(所有子项目)")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjectQueryRes>> pageQuery(
            @RequestBody PurchasingApprovalPageQueryReq purchasingApprovalPageQueryReq
    ) {
        return purchasingApprovalService.pageQuery(purchasingApprovalPageQueryReq);
    }

    @ApiOperationSupport(order = 2)
    @ApiOperation("需求提报")
    @PostMapping(value = "/submit")
    public ResponseBean<?> submit(
            @ApiParam("项目id") @RequestParam Integer projectId,
            @ApiParam("需求id集合") @RequestParam List<Integer> demandIdList
    ) {
        return purchasingApprovalService.submit(projectId,demandIdList);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("审批通过")
    @PostMapping(value = "/approve")
    public ResponseBean<?> approve(
            @ApiParam("项目id") @RequestParam Integer projectId
    ) {
        return purchasingApprovalService.approve(projectId);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("审批拒绝")
    @PostMapping(value = "/reject")
    public ResponseBean<?> reject(
            @ApiParam("项目id") @RequestParam Integer projectId
    ) {
        return purchasingApprovalService.reject(projectId);
    }
    @ApiOperationSupport(order = 5)
    @ApiOperation("结果下达")
    @PostMapping(value = "/transmit")
    public ResponseBean<?> transmit(
            @ApiParam("项目id") @RequestParam Integer projectId,
            @ApiParam("邮箱") @RequestParam String email,
            @ApiParam("公司") @RequestParam String company
    ) {
        return purchasingApprovalService.transmit(projectId,email,company);
    }

    @ApiOperationSupport(order = 6)
    @ApiOperation("合同录入")
    @PostMapping(value = "/contractEntry")
    public ResponseBean<?> contractEntry(
            @ApiParam("项目id") @RequestParam Integer projectId,
            @ApiParam("文件id") @RequestParam Integer fileId
    ) {
        return purchasingApprovalService.contractEntry(projectId,fileId);
    }

}
