package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.RoleQueryRes;
import com.migao.service.RoleService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "010.角色设置")
@RestController
@RequestMapping("/role")
public class RoleController {

    @Resource
    private RoleService roleService;
    @ApiOperationSupport(order =2)
    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody RoleInsertReq roleInsertReq
    ) {
        return roleService.insert(roleInsertReq);
    }

    @ApiOperationSupport(order =3)
    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return roleService.deleteById(id);
    }
    @ApiOperationSupport(order =4)
    @ApiOperation("根基id查询")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return roleService.findById(id);
    }
    @ApiOperationSupport(order =5)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return roleService.deleteBatch(ids);
    }

    @ApiOperationSupport(order =6)
    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody RoleUpdateReq roleUpdateReq
    ) {
        return roleService.update(roleUpdateReq);
    }

    @ApiOperationSupport(order =1)
    @ApiOperation("分页查询")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<RoleQueryRes>> pageQuery(
            @RequestBody RolePageQueryReq rolePageQueryReq
    ) {
        return roleService.pageQuery(rolePageQueryReq);
    }

}
