package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_permission")
@TableName("t_permission")
@org.hibernate.annotations.Table(appliesTo = "t_permission", comment = "权限")
public class Permission implements Serializable {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "name", columnDefinition = "varchar(255) comment '权限名称'")
    private String name;

    @Column(name = "url", columnDefinition = "varchar(255) comment '接口地址'")
    private String url;

    @Column(name = "module", columnDefinition = "varchar(255) comment '模块'")
    private String module;

    @Column(name = "parent_id", columnDefinition = "bigint(20) comment '主键'")
    private Integer parentId;


    @Column(name = "description", columnDefinition = "varchar(255) comment '备注'")
    private String description;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}