package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_project_type_stage")
@org.hibernate.annotations.Table(appliesTo = "t_project_type_stage", comment = "项目类型管理阶段")
@TableName("t_project_type_stage")
public class ProjectTypeStage implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "stage_id", columnDefinition = "bigint(20) comment '阶段id'")
    private Integer stageId;

    @Column(name = "project_type__id", columnDefinition = "bigint(20) comment '类型id'")
    private Integer projectTypeId;
}
