package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DocumentSharingUpdateReq {
    @ApiModelProperty(value = "主键")
    @NotNull(message = "主键id不能为空")
    private Integer id;

    @ApiModelProperty(value = "文档名称")
    @NotEmpty(message = "文档名称不能为空")
    private String documentName;

    @ApiModelProperty(value = "项目类别")
    @NotNull(message = "项目类别不能为空")
    private Integer projectTypeId;

    @ApiModelProperty(value = "项目阶段")
    @NotNull(message = "项目阶段不能为空")
    private Integer projectPhaseId;

    @ApiModelProperty(value = "文档格式")
    @NotNull(message = "文档格式不能为空")
    private Integer documentFormatId;

    @ApiModelProperty(value = "必须项目类型")
    @NotEmpty(message = "必须项目类型不能为空")
    private String mustProjectType;

    @ApiModelProperty(value = "提交人")
    @NotEmpty(message = "提交人不能为空")
    private String submitter;

    @ApiModelProperty(value = "附件")
    private Integer fileId;
}
