package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class FinancesInsertReq {

    @ApiModelProperty(value = "上级代付（大额支付）")
    @NotEmpty(message = "上级代付（大额支付）不能为空")
    private String another;

    @ApiModelProperty(value = "收款单位银行账号-银行存款")
    @NotEmpty(message = "收款单位银行账号-银行存款不能为空")
    private String bankAccount;

    @ApiModelProperty(value = "收款单位银行账号-电子汇票（大额支付必填）")
    @NotEmpty(message = "收款单位银行账号-电子汇票（大额支付必填）不能为空")
    private String bankAccountDrafts;

    @ApiModelProperty(value = "收款单位开户行-银行存款")
    @NotEmpty(message = "收款单位开户行-银行存款不能为空")
    private String bankAddress;

    @ApiModelProperty(value = "收款单位开户行-电子汇票（大额支付必填）")
    @NotEmpty(message = "收款单位开户行-电子汇票（大额支付必填）不能为空")
    private String bankAddressDrafts;

    @ApiModelProperty(value = "收款单位开户联行号-银行存款")
    @NotEmpty(message = "收款单位开户联行号-银行存款不能为空")
    private String bankNumber;

    @ApiModelProperty(value = "收款单位开户联行号-电子汇票（大额支付必填）")
    @NotEmpty(message = "收款单位开户联行号-电子汇票（大额支付必填）不能为空")
    private String bankNumberDrafts;

    @ApiModelProperty(value = "收款单位名称")
    @NotEmpty(message = "收款单位名称不能为空")
    private String companyNme;

    @ApiModelProperty(value = "合同金额（元）")
    @NotEmpty(message = "合同金额（元）不能为空")
    private String contractMoney;

    @ApiModelProperty(value = "财务报表")
    @NotEmpty(message = "财务报表不能为空")
    private String financial;

    @ApiModelProperty(value = "预算项目名称")
    @NotEmpty(message = "预算项目名称不能为空")
    private String name;

    @ApiModelProperty(value = "收款单位供应商编码")
    @NotEmpty(message = "收款单位供应商编码不能为空")
    private String no;

    @ApiModelProperty(value = "采购组织(S201：工程服务，S202：维修服务）")
    @NotEmpty(message = "采购组织(S201：工程服务，S202：维修服务）不能为空")
    private String organization;

    @ApiModelProperty(value = "付款金额（元）")
    @NotEmpty(message = "付款金额（元）不能为空")
    private String payMoney;

    @ApiModelProperty(value = "付款订单编号")
    @NotEmpty(message = "付款订单编号不能为空")
    private String payNo;

    @ApiModelProperty(value = "项目编码")
    @NotNull(message = "项目编码不能为空")
    private Integer projectId;

    @ApiModelProperty(value = "erp采购订单号")
    @NotEmpty(message = "erp采购订单号不能为空")
    private String purchaseNo;

    @ApiModelProperty(value = "预计付款时间")
    @NotNull(message = "预计付款时间不能为空")
    private LocalDateTime remitTime;

    @ApiModelProperty(value = "状态")
    @NotEmpty(message = "状态不能为空")
    private String status;

    @ApiModelProperty(value = "填报专责")
    @NotEmpty(message = "填报专责不能为空")
    private String username;

}
