package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class LogHistoryInsertReq {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
    private Integer deleted;

    @ApiModelProperty(value = "请求持续时间(毫秒)")
    @NotNull(message = "请求持续时间(毫秒)不能为空")
    private Integer duration;

    @ApiModelProperty(value = "携带参数(json)")
    @NotEmpty(message = "携带参数(json)不能为空")
    private String params;

    @ApiModelProperty(value = "请求时间")
    @NotNull(message = "请求时间不能为空")
    private LocalDateTime requestTime;

    @ApiModelProperty(value = "操作名称")
    @NotEmpty(message = "操作名称不能为空")
    private String tableName;

    @ApiModelProperty(value = "访问地址")
    @NotEmpty(message = "访问地址不能为空")
    private String uri;

    @ApiModelProperty(value = "操作类型")
    @NotNull(message = "操作类型不能为空")
    private String type;

    @ApiModelProperty(value = "操作名称")
    @NotNull(message = "操作名称不能为空")
    private Long userId;

    private String ip;

}
