package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import io.swagger.annotations.ApiModelProperty;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjectTypeUpdateReq {

    @ApiModelProperty(value = "主键")
        @NotNull(message = "主键不能为空")
    private Integer id;
    @ApiModelProperty(value = "创建时间")
        @NotNull(message = "创建时间不能为空")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
        @NotNull(message = "不能为空")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
        @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
    private Integer deleted;
    @ApiModelProperty(value = "文档数量")
        @NotNull(message = "文档数量不能为空")
    private Long documentNumber;
    @ApiModelProperty(value = "父id")
        @NotNull(message = "父id不能为空")
    private Long parentId;
    @ApiModelProperty(value = "环节数量")
        @NotNull(message = "环节数量不能为空")
    private Long partNumber;
    @ApiModelProperty(value = "阶段id")
        @NotNull(message = "阶段id不能为空")
    private Long stageId;
    @ApiModelProperty(value = "类型标识")
        @NotEmpty(message = "类型标识不能为空")
    private String type;
    @ApiModelProperty(value = "值")
        @NotEmpty(message = "值不能为空")
    private String value;

}