package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import io.swagger.annotations.ApiModelProperty;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class RoleUpdateReq {

    @ApiModelProperty(value = "主键")
        @NotNull(message = "主键不能为空")
    private Integer id;
    @ApiModelProperty(value = "创建时间")
        @NotNull(message = "创建时间不能为空")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
        @NotNull(message = "不能为空")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
        @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
    private Integer deleted;
    @ApiModelProperty(value = "备注")
        @NotEmpty(message = "备注不能为空")
    private String description;
    @ApiModelProperty(value = "角色名称")
        @NotEmpty(message = "角色名称不能为空")
    private String name;
    @ApiModelProperty(value = "父角色")
        @NotNull(message = "父角色不能为空")
    private Long parentId;
    @ApiModelProperty(value = "角色英文名称")
        @NotEmpty(message = "角色英文名称不能为空")
    private String securityName;

}