package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.BasePageRequest;
import com.migao.config.response.PageBeanOne;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.Message;
import com.migao.entity.vo.req.MessageQueryReq;
import com.migao.entity.vo.res.MessageQueryRes;

/**
 * @author dingsong
 */
public interface MessageService extends IService<Message> {

    /**
     * 分页查询所有消息
     * @param basePageRequest 页数
     * @return
     */
    ResponseBean<PageBeanOne<MessageQueryRes>> pageQuery(BasePageRequest basePageRequest);

    /**
     * 分页查询当前用户消息
     * @param basePageRequest 页数
     * @return
     */
    ResponseBean<PageBeanOne<MessageQueryRes>> pageQueryById(BasePageRequest basePageRequest);

    /**
     * 通过id查询单个消息
     * @param id 消息id
     * @return
     */
    ResponseBean<MessageQueryRes> pageQueryOne(String id);

    /**
     * 通过id更新读取状态
     * @param id 消息id
     * @return
     */
    ResponseBean<?> updateById(String id);

    /**
     * 分页模糊查询所有数据
     * @param messageQueryReq 关键字
     * @return
     */
    ResponseBean<PageBeanOne<MessageQueryRes>> pageQueryTwo(MessageQueryReq messageQueryReq);

    /**
     * 分页模糊查询当前用户数据
     * @param messageQueryReq 关键字
     * @return
     */
    ResponseBean<PageBeanOne<MessageQueryRes>> pageQueryTwoById(MessageQueryReq messageQueryReq);
}
